<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Troubleshooting</title>
    <link rel='stylesheet' href='./assets/StyleSheet/troubleshooting.css'>
    <script src="./assets/Scripts/randomServiceOrder.js"></script>  
    <script src="https://unpkg.com/imask"></script>
  </head>

<body onload="postData()">
    <%- include('../Components/header', { title: 'Troubleshooting'}); %>
    <%- include('../Components/footer'); %>
    <%- include('../Components/aside'); %>
    <main>
        <form action='/Troubleshooting' method="POST">
            <div class="form-div">
                <div class="part-form">
                    <div> <img src="./assets/img/Gear-logo.png" alt="logo" id="gear-logo" /> </div>
                    <div>
                        <h1> Service Order </h1>
                    </div>
                    <div> 
                        <div> 
                            <input type="text" id="button-form" name="numberOS"> <label for="name-OS"> OS
                            Number </label> 
                        </div> 
                        <div> 
                            <div> <input type="date" name="dateFinal" id="date" required> 
                                <label for="date"> Date </label> 
                            </div>
                        </div>
                    </div>
                </div>
                <div id="tag-form">
                    <div id="sub-tag-form">
                        <div id="sub-tag-column-1"> <label for="machineNumber"> <b> Machine Model </b> </label>
                            <select name="machineNumber" id="machine-number-form" required>
                                <% machineModel.map((item)=> { %>
                                <option value="<%= item.value %>"> <%= item.label %> </option>
                                <% }) %>
                            </select>
                        </div>
                        <div id="sub-tag-column-2">
                            <select name="machineType" id="machine-number-form" required>
                                <% descriptionMachine.map((item)=> { %>
                                <option value="<%= item.value %>"> <%= item.label %></option>
                                <% }) %>
                            </select>
                        </div>
                    </div>
                    <div id="form-reason">
                        <b> Reason for contact </b>
                        <input type="radio" name="reasonContact" id="corretive" value="Corretive" checked>
                        <label for="corretive"> Corretive </label>
                        <input type="radio" name="reasonContact" id="preventive" value="Preventive">
                        <label for="preventive"> Preventive </label>
                        <input type="radio" name="reasonContact" id="breakdown" value="breakdown">
                        <label for=improvement> Improvement </label>
                    </div>
                </div>
                <div id="form-reason-breakdown">
                    <div id="form-reason-bkd1">
                        <b> Is it breakdown? </b> <br />
                        <input type="radio" name="breakdownList" id="yes" value="Yes">
                        <label for="break-down"> Yes </label>
                        <input type="radio" name="breakdownList" id="yes" value="No" checked>
                        <label for="break-down"> No </label> </div>
                    <div id="evidance">
                        <div> <b> Select Evidance </b>
                            <select name="selectEvidance" id="form-evidance" required>
                                <% evidanceService.map((item)=> { %>
                                <option value="<%= item.value %>"> <%= item.label %> </option>
                                <% }) %>
                            </select> </div>
                        <div> <b> Serial Number </b>
                            <select id="form-evidance" name="kindType" required>
                                <option> BRP </option>
                                <option> BQD </option>
                                <option> CAQ </option>
                            </select>
                            <input type="number" id="form-evidance" placeholder="Type here" name="serialNumber" required>
                        </div>
                    </div>
                </div>
                <div id="field">
                    <label for="text-field"> <b> Description </b> </label>
                    <input type="text" id="text-field" name="descriptionRelatory" placeholder="Type here at leat 20 caracteres" required>
                </div>
                <div id="client">
                    <div> <label for="client-cep" value=""> CEP </label>
                        <input type="text" name="clientCEP" id="client-cep" placeholder="00000-000"  required> </div>
                        <img src="/assets/img/searchicon.png" onMouseOut = "this.src='/assets/img/searchicon.png'" onclick="cepSearch()" id="searching-icon"  onMouseOver = "this.src='/assets/img/ok.png'">
                    <div> <label for="adress"> Address </label>
                        <input type="text" name="AddressFinal" id="address" value="" required> </div>
                    <div> <label for="cnpj"> CNPJ </label>
                        <input type="number" name="cnpjFinal" id="cnpj" placeholder="00.000.000/0000-00" required> </div> <br />
                    <div> <label for="client-name"> Customer </label>
                        <input type="text" name="CustomerName" id="client-name" required> </div>
                </div>
                <div id="end-form">
                    <div id="end-form-1"> <label for="spare-parts" id="label-form-id" > Spare Parts </label>
                        <input type="text" id="spare-parts" placeholder="Type here" name="spareParts" required> </div>

                    <div id="end-form-1"> <label for="spare-parts" id="label-form-id"> UF </label>
                        <select id="form-evidance" name="UFState">
                            <% ufOption.map((item)=> { %>
                            <option value="<%= item.value %>"> <%= item.label %> </option>
                            <% }) %>
                        </select>
                    </div>

                    <div id="submit-button-form"> <button type="submit" onclick="" id="button-submit"> Submit </button>
                    </div>
                </div>
            </div>
        </form>
        <script src="./assets/Scripts/searchCEP.js"> </script>
        <script src="./assets/Scripts/IMask.js"> </script>
            
    </main>
</body>

</html>